System.Web 2.0.0.0 System.Object System.Web.UI.IBindableTemplate

ASP.NET uses the class whenever it parses declarative two-way data-binding within the templated content of an ASP.NET control such as . It is not meant to be used directly in your code.

For more information about ASP.NET data binding, expressions, and syntax, see Data Binding and Data-Binding Expression Syntax.

Provides the default implementation of an object, which ASP.NET uses whenever it parses two-way data-binding within the templated content of an ASP.NET control such as . This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  A delegate used to handle the method call.
  A delegate used to handle the method call.
  2.0.0.0
- Method
  System.Collections.Specialized.IOrderedDictionary ``

  The method is the class's implementation of the method.

  Retrieves a set of name/value pairs for values bound using two-way ASP.NET data-binding syntax within the templated content.

  An of name/value pairs. The name represents the name of the data item field specified as the first parameter to bind within templated content. The value is the current value of a property value bound using two-way ASP.NET data-binding syntax.

  The from which to extract name/value pairs, which are passed by the data-bound control to an associated data source control in two-way data-binding scenarios. 2.0.0.0
- Method
  System.Void ``

  The method is the class's implementation of the method.

  Defines the object that child controls and templates belong to. These child controls are in turn defined within an inline template.

  The to contain the controls that are created from the inline template. 2.0.0.0